dane_query_data(3)

NAME
dane_query_data - API function

SYNOPSIS
#include <gnutls/dane.h>

int dane_query_data(dane_query_t q, unsigned int idx, unsigned int * usage, unsigned int * type, unsigned int * match, gnutls_datum_t * data);

ARGUMENTS

dane_query_t q
    The query result structure

unsigned int idx
    The index of the query response.

unsigned int * usage
    The certificate usage (see dane_cert_usage_t)

unsigned int * type
    The certificate type (see dane_cert_type_t)

unsigned int * match
    The DANE matching type (see dane_match_type_t)

gnutls_datum_t * data
    The DANE data.

DESCRIPTION
This function will provide the DANE data from the query response.

RETURNS
On success, DANE_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/